# Uses of Interface
org.eclipse.ecf.core.sharedobject.ISharedObjectConfig

Packages that use ISharedObjectConfig
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.provider.generic

## Uses of ISharedObjectConfig in org.eclipse.ecf.core.sharedobject

Methods in org.eclipse.ecf.core.sharedobject that return ISharedObjectConfig
Modifier and Type
Method
Description
`protected final ISharedObjectConfig`
BaseSharedObject.`getConfig()`
Get the config for this shared object.
Methods in org.eclipse.ecf.core.sharedobject with parameters of type ISharedObjectConfig
Modifier and Type
Method
Description
`ReplicaSharedObjectDescription`
IReplicaSharedObjectDescriptionFactory.`createDescriptionForContainer(ID containerID, ISharedObjectConfig config)`
Create new ReplicaSharedObjectDescription instance for delivery to remote container identified by containerID parameter.
`final void`
BaseSharedObject.`init(ISharedObjectConfig initData)`
`void`
ISharedObject.`init(ISharedObjectConfig initData)`
Initialize this ISharedObject.

## Uses of ISharedObjectConfig in org.eclipse.ecf.provider.generic

Classes in org.eclipse.ecf.provider.generic that implement ISharedObjectConfig
Modifier and Type
Class
Description
`class`
`SOConfig`